cascading.flow.hadoop.stream

## Enum HadoopMemoryJoinGate.Spill

- java.lang.Object
- - java.lang.Enum<HadoopMemoryJoinGate.Spill>
  - - cascading.flow.hadoop.stream.HadoopMemoryJoinGate.Spill

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<HadoopMemoryJoinGate.Spill>

Enclosing class:
  HadoopMemoryJoinGate

    public static enum HadoopMemoryJoinGate.Spill
    extends java.lang.Enum<HadoopMemoryJoinGate.Spill>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`Duration_Millis_Written`
`Num_Spills_Read`
`Num_Spills_Written`
`Num_Tuples_Spilled`

### Method Summary

Methods
`static HadoopMemoryJoinGate.Spill` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static HadoopMemoryJoinGate.Spill[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### Num_Spills_Written

    public static final HadoopMemoryJoinGate.Spill Num_Spills_Written

#### Num_Spills_Read

    public static final HadoopMemoryJoinGate.Spill Num_Spills_Read

#### Num_Tuples_Spilled

    public static final HadoopMemoryJoinGate.Spill Num_Tuples_Spilled

#### Duration_Millis_Written

    public static final HadoopMemoryJoinGate.Spill Duration_Millis_Written

### Method Detail

#### values

    public static HadoopMemoryJoinGate.Spill[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (HadoopMemoryJoinGate.Spill c : HadoopMemoryJoinGate.Spill.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static HadoopMemoryJoinGate.Spill valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null